## xterm 297

=== package/freebsd/Makefile ===
# $FreeBSD$
# This is adapted from the FreeBSD port, installing as "xterm-dev" with
# separate resource- and manpage files.
# copy "xterm-${PORTVERSION}.tgz to the port's distfiles directory
# and "make makesum".

PORTNAME=	xterm
PORTVERSION=	297
CATEGORIES=	x11
MASTER_SITES=	ftp://invisible-island.net/xterm/ \
		CRITICAL
PKGNAMESUFFIX=	-dev
EXTRACT_SUFX=	.tgz

MAINTAINER=	dickey@invisible-island.net
COMMENT=	Terminal emulator for the X Window System (development)

CONFLICTS=	x11iraf-[0-9]*

USE_XORG=	xaw xft
WANT_GNOME=	desktopfileutils
GNU_CONFIGURE=	yes

CONFIGURE_ENV+=	LIBS="-L${LOCALBASE}/lib"
CONFIGURE_ARGS+=	--with-utempter --enable-narrowproto --enable-256-color

CPPFLAGS+=	-I${LOCALBASE}/include

OPTIONS_DEFINE=	WCHAR LUIT DECTERM PCRE GNOME DABBREV TOOLBAR

TOOLBAR_DESC=	Enable support menu/toolbar
DABBREV_DESC=	Enable support for dabbrev-expand
DECTERM_DESC=	Enable DECterm Locator support
LUIT_DESC=	Use LUIT for locale convertion from/to UTF-8
WCHAR_DESC=	Enable wide-character support

PKG_CLASS=	XTermDev

.include <bsd.port.options.mk>

CONFIGURE_ARGS+=	--program-suffix=${PKGNAMESUFFIX} --with-app-class=${PKG_CLASS} --without-xterm-symlink

.if ${PORT_OPTIONS:MLUIT}
CONFIGURE_ARGS+=	--enable-luit
BUILD_DEPENDS=	luit:${PORTSDIR}/x11/luit
.endif

.if ${PORT_OPTIONS:MWCHAR}
CONFIGURE_ARGS+=	--enable-wide-chars
.endif

.if ${PORT_OPTIONS:MDECTERM}
CONFIGURE_ARGS+=	--enable-dec-locator
.endif

.if ${PORT_OPTIONS:MPCRE}
CONFIGURE_ARGS+=	--with-pcre
LIB_DEPENDS=		pcre:${PORTSDIR}/devel/pcre
.endif

.if ${PORT_OPTIONS:MDABBREV}
CONFIGURE_ARGS+=	--enable-dabbrev
.endif

.if ${PORT_OPTIONS:MTOOLBAR}
CONFIGURE_ARGS+=	--enable-toolbar
.endif

.if ${PORT_OPTIONS:MGNOME}
USE_GNOME=	desktopfileutils
PLIST_SUB+=	GNOME=""
.else
PLIST_SUB+=	GNOME="@comment "
.endif

MAN1=		resize${PKGNAMESUFFIX}.1 koi8rxterm${PKGNAMESUFFIX}.1 uxterm${PKGNAMESUFFIX}.1 xterm${PKGNAMESUFFIX}.1

.include <bsd.port.pre.mk>

.if ${OSVERSION} < 900004
LIB_DEPENDS+=	utempter:${PORTSDIR}/sysutils/libutempter
.endif

post-install:
.for f in koi8rxterm resize uxterm xterm
	@${CHMOD} ${BINMODE} ${PREFIX}/bin/${f}
.endfor
.if ${PORT_OPTIONS:MGNOME}
	@${MKDIR} ${PREFIX}/share/applications/
	@${INSTALL_DATA} ${WRKSRC}/xterm.desktop ${PREFIX}/share/applications/
	@-update-desktop-database
.endif

.if ${PORT_OPTIONS:MWCHAR}
	@${CAT} ${PKGMESSAGE}
.endif

.include <bsd.port.post.mk>

## xterm 304

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	297
+PORTVERSION=	304
 CATEGORIES=	x11
 MASTER_SITES=	ftp://invisible-island.net/xterm/ \
 		CRITICAL

## xterm 312

=== package/freebsd/Makefile ===
# $FreeBSD$
# This is adapted from the FreeBSD port, installing as "xterm-dev" with
# separate resource- and manpage files.
# copy "xterm-${PORTVERSION}.tgz to the port's distfiles directory
# and "make makesum".

PORTNAME=	xterm
PORTVERSION=	312
CATEGORIES=	x11
MASTER_SITES=	ftp://invisible-island.net/xterm/ \
		CRITICAL
PKGNAMESUFFIX=	-dev
EXTRACT_SUFX=	.tgz
DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:src1 \
		bsd-xterm-icons-${ICONVERSION}${EXTRACT_SUFX}:src2

MAINTAINER=	ehaupt@FreeBSD.org
COMMENT=	Terminal emulator for the X Window System

CONFLICTS=	x11iraf-[0-9]*

USE_XORG=	xft
GNU_CONFIGURE=	yes

CONFIGURE_ARGS+=	--with-utempter --enable-narrowproto

CPPFLAGS+=	-I${LOCALBASE}/include
LIBS+=		-L${LOCALBASE}/lib

ICONVERSION=	1

OPTIONS_DEFINE=	WCHAR LUIT DECTERM PCRE DABBREV 256COLOR SIXEL GNOME LOGGING TOOLBAR
OPTIONS_RADIO=	3D
OPTIONS_RADIO_3D=	XAW3D XAW3DXFT NEXTAW

TOOLBAR_DESC=	Enable support menu/toolbar
DABBREV_DESC=	Enable support for dabbrev-expand
DECTERM_DESC=	Enable DECterm Locator support
LUIT_DESC=	Use LUIT for locale convertion from/to UTF-8
SIXEL_DESC=	Enable Sixel graphics support
WCHAR_DESC=	Enable wide-character support
256COLOR_DESC=	Enable 256-color support
LOGGING_DESC=	Enable logging terminal I/O to a file
XAW3D_DESC=	Link with Xaw 3d library
XAW3DXFT_DESC=	Link with Xaw 3d xft (extended fonts) library
NEXTAW_DESC=	Link with neXT Athena library

OPTIONS_DEFAULT=WCHAR LUIT 256COLOR

256COLOR_CONFIGURE_ENABLE=	256-color
LUIT_BUILD_DEPENDS=		luit:${PORTSDIR}/x11/luit
LUIT_CONFIGURE_ENABLE=		luit
WCHAR_CONFIGURE_ENABLE=		wide-chars
DECTERM_CONFIGURE_ENABLE=	dec-locator
PCRE_CONFIGURE_WITH=		pcre
PCRE_LIB_DEPENDS=		libpcre.so:${PORTSDIR}/devel/pcre
DABBREV_CONFIGURE_ENABLE=	dabbrev
SIXEL_CONFIGURE_ENABLE=		sixel-graphics
GNOME_USES=			desktop-file-utils
LOGGING_CONFIGURE_ENABLE=	logging
TOOLBAR_CONFIGURE_ENABLE=	toolbar
XAW3D_CONFIGURE_WITH=		Xaw3d
XAW3D_LIB_DEPENDS=		libXaw3d.so:${PORTSDIR}/x11-toolkits/Xaw3d
XAW3DXFT_CONFIGURE_WITH=	Xaw3dxft
XAW3DXFT_LIB_DEPENDS=		libXaw3dxft.so:${PORTSDIR}/x11-toolkits/libxaw3dxft
NEXTAW_CONFIGURE_WITH=		neXtaw
NEXTAW_LIB_DEPENDS=		libneXtaw.so:${PORTSDIR}/x11-toolkits/neXtaw

PKG_CLASS=	XTermDev

.include <bsd.port.options.mk>

CONFIGURE_ARGS+=	--program-suffix=${PKGNAMESUFFIX} --with-app-class=${PKG_CLASS} --without-xterm-symlink
MAN1=		resize${PKGNAMESUFFIX}.1 koi8rxterm${PKGNAMESUFFIX}.1 uxterm${PKGNAMESUFFIX}.1 xterm${PKGNAMESUFFIX}.1

.if ! ${PORT_OPTIONS:MXAW3D} && ! ${PORT_OPTIONS:MXAW3DXFT} && ! ${PORT_OPTIONS:MNEXTAW}
USE_XORG+=	xaw
.endif

.if ${OSVERSION} < 900004
LIB_DEPENDS+=	libutempter.so:${PORTSDIR}/sysutils/libutempter
.endif

post-extract:
	@${CP} ${WRKDIR}/bsd-xterm-icons-1/*.png \
		${WRKDIR}/bsd-xterm-icons-1/*.xpm \
			${WRKSRC}/icons/

post-install:
.for f in koi8rxterm${PKGNAMESUFFIX} resize${PKGNAMESUFFIX} uxterm${PKGNAMESUFFIX} xterm${PKGNAMESUFFIX}
	@${CHMOD} ${BINMODE} ${STAGEDIR}${PREFIX}/bin/${f}
.endfor
	@${INSTALL_DATA} ${WRKSRC}/xterm.desktop \
		${STAGEDIR}${PREFIX}/share/applications/xterm${PKGNAMESUFFIX}.desktop 

.if ${PORT_OPTIONS:MWCHAR}
	@${CAT} ${PKGMESSAGE}
.endif

.include <bsd.port.mk>

=== debian/changelog ===
xterm (312-2+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2022-24130's patch.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 07 Feb 2022 21:29:15 +0530

xterm (312-2+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Add patch to check for out-of-bounds condition while drawing
    sixels, and quit that operation (reported by Nick Black).
    (Fixes: CVE-2022-24130) (Closes: #1004689)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 06 Feb 2022 20:06:15 +0530

xterm (312-2+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Revert the extra changes in the CVE-2021-27135's patch
    since it caused unnecessary regression. (Closes: #984615)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 21 Mar 2021 14:34:12 +0530

xterm (312-2+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Add patch to correct upper-limit for selection
    buffer, accounting for combining characters.
    (Fixes: CVE-2021-27135) (Closes: #982439)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 13 Feb 2021 21:58:08 +0530

xterm (312-2) unstable; urgency=medium

  * Cherry-pick a patch from xterm 314: change passedPty[] to an
    allocated string to ensure it is long enough for the -S option
    value (Closes: #779397).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 01 Mar 2015 11:45:01 +0100

xterm (312-1) unstable; urgency=medium

  * New upstream release.
    - Undo change to do_select_regex() in xterm 311 (Closes: #762978).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 29 Sep 2014 17:16:25 +0200

xterm (311-1) unstable; urgency=low

  * New upstream release.
    - Mention xclip in manpage as an alternative workaround for copying
      clipboard data, noting that selectToClipboard is the recommended
      approach (Closes: #639094).
    - Correct initialization for regular-expression feature of
      exec-selectable and insert-selectable actions.
      Modify logic for exec-formatted and insert-formatted actions to
      ensure that the formatting occurs just after the selection is
      received (Closes: #758633).
    - Account for state of reverse-video in special case of cursor coloring
      (Closes: #759734).
    - Enable the "Escape Sequence" menu entry when an OSC 50 is received.
      Also disable it if the escape sequence specifies no font
      (Closes: #760208).
    - Improve fix for the fontsel menu entry from xterm 304: because the
      recovery used the "current font", it would fail if one first selected
      a valid font, then an invalid font (Closes: #760207).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 22 Sep 2014 17:55:43 +0200

xterm (310-1) unstable; urgency=low

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 30 Aug 2014 11:26:09 +0200

xterm (308-1) unstable; urgency=medium

  * New upstream release.
    - Correct font used for clipping double-width bitmap fonts from
      xterm 307 changes to work around mis-scaled fonts (Closes: #752047).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 21 Jun 2014 09:44:01 +0200

xterm (307-1) unstable; urgency=medium

  * New upstream release.
    - Amend fix for Freedesktop bug #15979 (Closes: #750733).
    - Amend resets for keyboard-type, pointer-mode and title-modes
      from xterm 305 changes to account for resource settings
      (Closes: #751351).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 18 Jun 2014 19:49:57 +0200

xterm (306-1) unstable; urgency=medium

  [ Julien Cristau ]
  * New upstream release.
  * Remove Cyril from Uploaders.

  [ Sven Joachim ]
  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.282 (dated 2014/05/25).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 05 Jun 2014 17:50:00 +0200

xterm (304-1) unstable; urgency=low

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 07 May 2014 16:50:50 +0200

xterm (303-1) unstable; urgency=low

  * New upstream release.
    - Fix a regression in xterm 302 relating to interaction of SHELL
      and XTERM_SHELL variables (Closes: #740919).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 07 Mar 2014 18:23:50 +0100

xterm (302-1) unstable; urgency=low

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.278 (dated 2014/02/24)
    (Closes: #737692).
  * Check GPG signature of upstream tarballs in the watch file.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 04 Mar 2014 19:55:16 +0100

xterm (301-1) unstable; urgency=low

  * New upstream release.
    - Improve manpage description of scrollbar translations versus
      the vt100 translations (Closes: #723573).
  * Build-depend on autotools-dev to update config.{guess,sub}.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 22 Jan 2014 18:22:12 +0100

xterm (300-1) unstable; urgency=low

  * New upstream release.
    - Avoid infinite recursion and stack overflow in libxcursor
      (Closes: #731269).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 04 Dec 2013 18:05:01 +0100

xterm (299-1) unstable; urgency=low

  * New upstream release.
  * Add libxcursor-dev to Build-Depends (Closes: #466704).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 02 Dec 2013 18:58:17 +0100

xterm (298-1) unstable; urgency=low

  * New upstream release.
    - Change default for assumeAllChars resource (Closes: #725682).
    - Amend change from xterm 297 for ASCII-equivalents to ensure that
      missing characters which happen to be double-width are padded to
      the expected number of columns. Also, correct the choice between
      normal/wide Xft fonts used when checking for missing characters
      (Closes: #728949).
    - work around Xcursor library to make pointerColor resource work as
      documented (Closes: #466704).
  * Update copy of XTerm FAQ to revision 1.259 (dated 2013/11/25).
  * Add a debian/rules target to download that FAQ from
    http://invisible-island.net.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 01 Dec 2013 09:18:00 +0100



=== debian/control ===
Source: xterm
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sven Joachim <svenjoac@gmx.de>
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xorg/app/xterm.git
Vcs-Git: git://anonscm.debian.org/pkg-xorg/app/xterm
Homepage: http://invisible-island.net/xterm/xterm.html
Build-Depends:
 libncurses5-dev | libncurses-dev,
 libxft-dev (>> 2.1.2), libxrender-dev (>> 1:0.9.0),
 libxaw7-dev,
 libxkbfile-dev,
 libutempter-dev,
 libxcursor-dev,
 debhelper (>= 9),
 quilt,
 autotools-dev,
 lynx-cur | lynx,
 xorg-docs-core,
 desktop-file-utils,

# Reasons for Build-Depends:
#
# (An "R" to the left of a file specification indicates a file that was removed
# from the upstream source tree when the Debian source package was prepared and
# an "I" to the left of a file specification indicates a file that is
# irrelevant or unused as part of the package build process; such files
# therefore do not actually cause a build-dependency, but are mentioned here for
# completeness.)
#
# Upstream build dependencies on commands are listed first, followed by
# upstream build depenencies on library headers, and then Debian packaging
# infrastructure dependencies.
#
#   libncurses5-dev | libncurses-dev
#       Tekproc.c:#include <menu.h>
#   I   aclocal.m4:#include <termcap.h>],[
#   I   aclocal.m4:#include <curses.h>
#   I   aclocal.m4:#include <term.h>          /* eliminate most BSD hacks */
#       button.c:#include <menu.h>
#       charproc.c:#include <menu.h>
#   I   configure:#include <termcap.h>
#   I   configure:#include <curses.h>
#   I   configure:#include <term.h>           /* eliminate most BSD hacks */
#       fontutils.c:#include <menu.h>
#       main.c:#include <menu.h>
#       menu.c:#include <menu.h>
#       misc.c:#include <menu.h>
#       os2main.c:#include <menu.h>
#       print.c:#include <menu.h>
#       resize.c:#include <termcap.h>
#       resize.c:#include <curses.h>
#       resize.c:#include <curses.h>
#       resize.c:#include <term.h>            /* tgetent() */
#       scrollbar.c:#include <menu.h>
#       util.c:#include <menu.h>
#   libxft-dev (>> 2.1.2)
#       aclocal.m4:#include <X11/Xft/Xft.h>],[
#       configure:#include <X11/Xft/Xft.h>
#       ptyx.h:#include <X11/Xft/Xft.h>
#   libxrender-dev (>> 1:0.9.0)
#       aclocal.m4:#include <X11/extensions/Xrender.h>
#       configure:#include <X11/extensions/Xrender.h>
#   libxaw7-dev
#       main.c:#include <X11/Xaw/Form.h>
#       main.c:#include <X11/Xaw3d/Form.h>
#       main.c:#include <X11/XawPlus/Form.h>
#       menu.c:#include <X11/Xaw/SimpleMenu.h>
#       menu.c:#include <X11/Xaw/Box.h>
#       menu.c:#include <X11/Xaw/SmeBSB.h>
#       menu.c:#include <X11/Xaw/SmeLine.h>
#       menu.c:#include <X11/Xaw/MenuButton.h>
#       menu.c:#include <X11/Xaw/Form.h>
#       menu.c:#include <X11/Xaw3d/SimpleMenu.h>
#       menu.c:#include <X11/Xaw3d/Box.h>
#       menu.c:#include <X11/Xaw3d/SmeBSB.h>
#       menu.c:#include <X11/Xaw3d/SmeLine.h>
#       menu.c:#include <X11/Xaw3d/MenuButton.h>
#       menu.c:#include <X11/Xaw3d/Form.h>
#       menu.c:#include <X11/XawPlus/SimpleMenu.h>
#       menu.c:#include <X11/XawPlus/Box.h>
#       menu.c:#include <X11/XawPlus/SmeBSB.h>
#       menu.c:#include <X11/XawPlus/SmeLine.h>
#       menu.c:#include <X11/XawPlus/MenuButton.h>
#       menu.c:#include <X11/XawPlus/Form.h>
#       os2main.c:#include <X11/Xaw/Form.h>
#       os2main.c:#include <X11/Xaw3d/Form.h>
#       os2main.c:#include <X11/XawPlus/Form.h>
#       scrollbar.c:#include <X11/Xaw/Scrollbar.h>
#       scrollbar.c:#include <X11/Xaw3d/Scrollbar.h>
#       scrollbar.c:#include <X11/XawPlus/Scrollbar.h>
#       Tekproc.c:#include <X11/Xaw/Form.h>
#       Tekproc.c:#include <X11/Xaw3d/Form.h>
#       Tekproc.c:#include <X11/XawPlus/Form.h>
#   libxkbfile-dev
#       data.h:#include <X11/extensions/XKBbells.h>
#   libutempter-dev
#       main.c:#include <utempter.h>
#   libxcursor-dev
#       misc.c:#ifdev HAVE_LIB_XCURSOR
#   xorg-docs-core                  provides X(7) which minstall.sh tries to
#                                   detect
#   debhelper (>= 9)                debian/compat = 9
#   quilt                           patch management system
#   autotools-dev                   update config.guess, config.sub
#   lynx-cur | lynx                 generates plain-text version of xterm faq
#   desktop-file-utils              for installing xterm.desktop

Package: xterm
Architecture: any
Multi-Arch: foreign
Depends:
 xbitmaps,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: x11-utils
Suggests: xfonts-cyrillic
Provides: x-terminal-emulator
Description: X terminal emulator
 xterm is a terminal emulator for the X Window System.  It provides DEC VT102
 and Tektronix 4014 compatible terminals for programs that cannot use the
 window system directly.  This version implements ISO/ANSI colors and most of
 the control sequences used by DEC VT220 terminals.
 .
 This package provides four commands: xterm, which is the traditional
 terminal emulator; uxterm, which is a wrapper around xterm that is
 intelligent about locale settings (especially those which use the UTF-8
 character encoding), but which requires the luit program from the x11-utils
 package; koi8rxterm, a wrapper similar to uxterm for locales that use the
 KOI8-R character set; and lxterm, a simple wrapper that chooses which of the
 previous commands to execute based on the user's locale settings.
 .
 A complete list of control sequences supported by the X terminal emulator
 is provided in /usr/share/doc/xterm.
 .
 The xterm program uses bitmap images provided by the xbitmaps package.
 .
 Those interested in using koi8rxterm will likely want to install the
 xfonts-cyrillic package as well.

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for xterm source package

# Copyright 2005 David Martínez Moreno
#
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall

LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)

HTML2TEXT:=lynx -dump -nolist

DEBTREEDIR:=$(CURDIR)/debian/tmp

DESKTOP_FLAGS = --vendor debian \
		--dir=$(DEBTREEDIR)/usr/share/applications

# disable some unsafe operations
CPPFLAGS += \
	-DDEF_ALLOW_FONT=False \
	-DDEF_ALLOW_TCAP=False \
	-DDEF_DISALLOWED_WINDOW=\\\"1,2,3,4,5,6,7,8,9,11,13,14,18,19,20,21,GetSelection,SetSelection,SetWinLines,SetXprop\\\"

override_dh_auto_configure:
	dh_auto_configure -- \
		--exec-prefix=/usr \
		--with-app-defaults=/etc/X11/app-defaults \
		--with-icondir=/usr/share/icons \
		--with-icon-theme=yes \
		--with-tty-group=tty \
		--enable-logging \
		--enable-wide-chars \
		--enable-luit \
		--enable-256-color \
		--disable-imake \
		--enable-narrowproto \
		--enable-exec-xterm \
		--enable-dabbrev \
		--enable-backarrow-is-erase \
		--enable-sixel-graphics \
		--with-utempter \
		DESKTOP_FLAGS="$(DESKTOP_FLAGS)" \
		CFLAGS="$(CFLAGS)" \
		CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		LUIT=/usr/bin/luit

override_dh_auto_build:
	dh_auto_build
	$(HTML2TEXT) debian/local/xterm.faq.html >debian/local/xterm.faq

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- install-desktop
	## Install lxterm command and manual page.
	install -m 755 debian/local/lxterm $(DEBTREEDIR)/usr/bin
	install -m 755 debian/local/lxterm.1 $(DEBTREEDIR)/usr/share/man/man1
	## Install terminfo and termcap precompiled definitions.
	install -d $(DEBTREEDIR)/usr/share/doc/xterm
	install -m 644 termcap  $(DEBTREEDIR)/usr/share/doc/xterm/xterm.termcap
	install -m 644 terminfo $(DEBTREEDIR)/usr/share/doc/xterm/xterm.terminfo

override_dh_install:
	dh_install --fail-missing

%:
	dh $@ --with quilt,autotools_dev --builddirectory=build/ --parallel

debian/local/xterm.faq.html:
	wget -O $@ http://invisible-island.net/xterm/xterm.faq.html

.PHONY: debian/local/xterm.faq.html

## xterm 322

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	312
+PORTVERSION=	322
 CATEGORIES=	x11
 MASTER_SITES=	ftp://invisible-island.net/xterm/ \
 		CRITICAL

## xterm 324

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	322
+PORTVERSION=	324
 CATEGORIES=	x11
 MASTER_SITES=	ftp://invisible-island.net/xterm/ \
 		CRITICAL

## xterm 327

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	324
+PORTVERSION=	327
 CATEGORIES=	x11
 MASTER_SITES=	ftp://invisible-island.net/xterm/ \
 		CRITICAL

=== debian/changelog ===
xterm (327-2mx150+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Tue, 10 Jan 2017 20:16:55 -0600

xterm (327-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 10.
    - Add autoconf-dickey to Build-Depends and an override for
      dh_autoreconf to debian/rules.
  * Switch to format 3.0 (quilt).
    - Drop quilt from Build-Depends and delete debian/README.source.
  * Update copy of XTerm FAQ to revision 1.332 (dated 2016/10/23).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 17 Dec 2016 14:02:49 +0100

xterm (327-1) unstable; urgency=medium

  * New upstream release.
    - Add a check in the function which handles end-of-line wrapping
      to ensure that C1 controls are allocated one column when
      allowC1Printable is set (Closes: #738794).
    - Modify allowC1Printable to disallow codes 160-254 as being equivalent
      to codes 32-126 when parsing escape sequences (Closes: #839220).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 09 Oct 2016 11:25:56 +0200

xterm (326-1) unstable; urgency=medium

  * New upstream release.
    - Add examples of setting the icon title with/without the window
      title in the manual (Closes: #833984).
    - Amend fix for #738794 to restore a check for missing characters
      which are not combining characters.  Also fill in a corresponding
      special case for TrueType fonts (Closes: #827905, #738794).
  * Refresh Debian patches.
  * Update copy of XTerm FAQ to revision 1.329 (dated 2016/09/16).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 27 Sep 2016 20:46:07 +0200

xterm (325-1) unstable; urgency=medium

  * New upstream release.
    - Further improve fix for #545220 in xterm 248, to avoid conflict
      with combining characters (Closes: #738794).
  * Refresh Debian patches.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 08 Jun 2016 17:39:36 +0200

xterm (324-2) unstable; urgency=medium

  * Enable all hardening options.
  * Remove the menu file (see #741573).
  * Add libxinerama-dev to Build-Depends.
  * Update copy of XTerm FAQ to revision 1.317 (dated 2016/03/21).
  * Bump Standards-Version to 3.9.8.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 08 May 2016 08:32:18 +0200

xterm (324-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 12 Mar 2016 08:35:48 +0100

xterm (323-1) unstable; urgency=medium

  * New upstream release.
  * Use https for Vcs-* fields.
  * Prefer lynx over lynx-cur in Build-Depends.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 10 Mar 2016 18:02:21 +0100

xterm (322-1) unstable; urgency=medium

  * New upstream release.
    - Fix regression due to incorrect fix for compiler warning when
      allocating storage for /etc/shells (Closes: #809646).
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 02 Jan 2016 16:17:27 +0100

xterm (321-1) unstable; urgency=medium

  * New upstream release.
  * Run lynx with the -display_charset=utf-8 option when dumping the text
    version of the XTerm FAQ, making the build reproducible.
  * Update copy of XTerm FAQ to revision 1.307 (dated 2015/12/28).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 01 Jan 2016 17:27:01 +0100

xterm (320-1) unstable; urgency=medium

  * New upstream release.
    - Amend fix for bug #794201 (report forwarded from Christian Jachmann
      by Emanuel Haupt, Closes: #797008).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 29 Aug 2015 13:47:23 +0200

xterm (319-1) unstable; urgency=low

  * New upstream release.
    - Correct combination of -ls and -e options for utempter configuration
      (Closes: #794201).
  * Update copy of XTerm FAQ to revision 1.305 (dated 2015/05/01).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 22 Aug 2015 09:10:05 +0200

xterm (318-2) unstable; urgency=low

  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 26 Apr 2015 15:32:00 +0200

xterm (318-1) experimental; urgency=low

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 15 Apr 2015 17:33:16 +0200

xterm (317-1) experimental; urgency=low

  * New upstream release.
    - Adapt example for exec-formatted from Lukáš Zapletal's webpage
      to manual (Closes: #780008).
    - Add a short usage section to the xterm manual, including notes
      on setting the window title (Closes: #742477).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 31 Mar 2015 17:50:42 +0200

xterm (316-1) experimental; urgency=low

  * New upstream release.
    - Add configure option --enable-initial-erase to set ptyInitialErase
      consistently with manpage, as well as adding a table in manpage to
      clarify the relationship between the resources related to the
      backarrow key (Closes: #775952).
  * Refresh Debian patches.
  * Update years in debian/copyright.
  * Update copy of XTerm FAQ to revision 1.293 (dated 2015/02/16).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 08 Mar 2015 19:17:29 +0100

xterm (314-1) experimental; urgency=low

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.289 (dated 2014/12/19).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 30 Dec 2014 18:25:43 +0100

xterm (313-1) experimental; urgency=low

  * New upstream release.
  * Refresh Debian patches.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 04 Dec 2014 18:51:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xorg/app/xterm.git
-Vcs-Git: git://anonscm.debian.org/pkg-xorg/app/xterm
+Bugs: mailto: <v3g4n@mxlinux.org>
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/app/xterm.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/app/xterm.git
 Homepage: http://invisible-island.net/xterm/xterm.html
 Build-Depends:
  libncurses5-dev | libncurses-dev,
@@ -14,10 +16,11 @@
  libxkbfile-dev,
  libutempter-dev,
  libxcursor-dev,
- debhelper (>= 9),
- quilt,
+ libxinerama-dev,
+ debhelper (>= 10),
  autotools-dev,
- lynx-cur | lynx,
+ autoconf-dickey,
+ lynx | lynx-cur,
  xorg-docs-core,
  desktop-file-utils,
 
@@ -100,12 +103,14 @@
 #       main.c:#include <utempter.h>
 #   libxcursor-dev
 #       misc.c:#ifdev HAVE_LIB_XCURSOR
+#   libxinerama-dev
+#       util.c:#ifdef HAVE_X11_EXTENSIONS_XINERAMA_H
 #   xorg-docs-core                  provides X(7) which minstall.sh tries to
 #                                   detect
-#   debhelper (>= 9)                debian/compat = 9
-#   quilt                           patch management system
+#   debhelper (>= 10)               debian/compat = 10
 #   autotools-dev                   update config.guess, config.sub
-#   lynx-cur | lynx                 generates plain-text version of xterm faq
+#   autoconf-dickey                 regenerate configure
+#   lynx | lynx-cur                 generates plain-text version of xterm faq
 #   desktop-file-utils              for installing xterm.desktop
 
 Package: xterm

## xterm 330

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	327
+PORTVERSION=	330
 CATEGORIES=	x11
 MASTER_SITES=	ftp://invisible-island.net/xterm/ \
 		CRITICAL

=== debian/changelog ===
xterm (330-1ubuntu2) bionic; urgency=medium

  * debian/control: stop depending on the transitional lynx-cur package.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 14 Dec 2017 19:37:39 +0100

xterm (330-1ubuntu1) bionic; urgency=medium

  * Sync with Debian; remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "Ubuntu"

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Oct 2017 15:40:25 -0400

xterm (330-1) unstable; urgency=medium

  * New upstream release.
    - Add special case for displaying soft-hyphen if it happens to fall
      at the right margin, and omitting similar case such as the BIDI
      markers, where a zero-width character is neither a control character
      nor a combining character (Closes: #844325).
    - Fix a special case in HideCursor which assigned a bold font to the
      slot used for normal font in changes for italics in xterm 307
      (Closes: #858304).
  * Refresh Debian patches.
  * Bump autoconf-dickey build dependency to (>= 2.52+20170501), as per
    configure.in.
  * Configure "--with-desktop-category=System,TerminalEmulator,"
    (Closes: #780176).
  * Update years in debian/copyright.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update copy of XTerm FAQ to revision 1.338 (dated 2017/04/08).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 23 Jun 2017 18:27:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Bugs: mailto: <v3g4n@mxlinux.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/app/xterm.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/app/xterm.git
 Homepage: http://invisible-island.net/xterm/xterm.html
@@ -19,8 +18,8 @@
  libxinerama-dev,
  debhelper (>= 10),
  autotools-dev,
- autoconf-dickey,
- lynx | lynx-cur,
+ autoconf-dickey (>= 2.52+20170501),
+ lynx,
  xorg-docs-core,
  desktop-file-utils,
 
@@ -110,7 +109,7 @@
 #   debhelper (>= 10)               debian/compat = 10
 #   autotools-dev                   update config.guess, config.sub
 #   autoconf-dickey                 regenerate configure
-#   lynx | lynx-cur                 generates plain-text version of xterm faq
+#   lynx                            generates plain-text version of xterm faq
 #   desktop-file-utils              for installing xterm.desktop
 
 Package: xterm

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,15 @@
 # Licensed under the GNU General Public License, version 2.  See the file
 # /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall
 
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 
-HTML2TEXT:=lynx -dump -nolist
+HTML2TEXT:=lynx -dump -nolist -display_charset=utf-8
 
 DEBTREEDIR:=$(CURDIR)/debian/tmp
 
@@ -24,6 +26,9 @@
 	-DDEF_ALLOW_FONT=False \
 	-DDEF_ALLOW_TCAP=False \
 	-DDEF_DISALLOWED_WINDOW=\\\"1,2,3,4,5,6,7,8,9,11,13,14,18,19,20,21,GetSelection,SetSelection,SetWinLines,SetXprop\\\"
+
+override_dh_autoreconf:
+	dh_autoreconf autoreconf-dickey -- -f -i
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -43,6 +48,7 @@
 		--enable-backarrow-is-erase \
 		--enable-sixel-graphics \
 		--with-utempter \
+		--with-desktop-category=System,TerminalEmulator, \
 		DESKTOP_FLAGS="$(DESKTOP_FLAGS)" \
 		CFLAGS="$(CFLAGS)" \
 		CPPFLAGS="$(CPPFLAGS)" \
@@ -67,7 +73,7 @@
 	dh_install --fail-missing
 
 %:
-	dh $@ --with quilt,autotools_dev --builddirectory=build/ --parallel
+	dh $@ --with autotools_dev --builddirectory=build/ --parallel
 
 debian/local/xterm.faq.html:
 	wget -O $@ http://invisible-island.net/xterm/xterm.faq.html

=== debian/watch ===
version=3
opts=pasv,pgpsigurlmangle=s/$/.asc/ ftp://invisible-island.net/xterm/ xterm-(.*).tgz

## xterm 335

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -5,9 +5,9 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	330
+PORTVERSION=	335
 CATEGORIES=	x11
-MASTER_SITES=	ftp://invisible-island.net/xterm/ \
+MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/ \
 		CRITICAL
 PKGNAMESUFFIX=	-dev
 EXTRACT_SUFX=	.tgz
@@ -29,7 +29,7 @@
 
 ICONVERSION=	1
 
-OPTIONS_DEFINE=	WCHAR LUIT DECTERM PCRE DABBREV 256COLOR SIXEL GNOME LOGGING TOOLBAR
+OPTIONS_DEFINE=	WCHAR LUIT DECTERM PCRE PCRE2 DABBREV 256COLOR SIXEL GNOME LOGGING TOOLBAR
 OPTIONS_RADIO=	3D
 OPTIONS_RADIO_3D=	XAW3D XAW3DXFT NEXTAW
 
@@ -54,6 +54,8 @@
 DECTERM_CONFIGURE_ENABLE=	dec-locator
 PCRE_CONFIGURE_WITH=		pcre
 PCRE_LIB_DEPENDS=		libpcre.so:${PORTSDIR}/devel/pcre
+PCRE2_CONFIGURE_WITH=		pcre2
+PCRE2_LIB_DEPENDS=		libpcre2-8.so:${PORTSDIR}/devel/pcre2
 DABBREV_CONFIGURE_ENABLE=	dabbrev
 SIXEL_CONFIGURE_ENABLE=		sixel-graphics
 GNOME_USES=			desktop-file-utils

=== debian/changelog ===
xterm (335-1) unstable; urgency=medium

  * New upstream release.
    - Drop custom-entity from HTML-dump, use UTF-8 for &nbsp;
      (Closes: #902381).
  * Bump Standards-Version to 4.2.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 20 Aug 2018 19:21:42 +0200

xterm (333-1) unstable; urgency=medium

  * New upstream release.
  * Prefer libncurses-dev over libncurses5-dev in Build-Depends.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 07 May 2018 19:41:50 +0200

xterm (332-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields to point at salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Regenerate ctlseqs.txt from ctlseqs.ms (Closes: #848818).
    - Add groff to Buils-Depends.
  * Fetch the copy of the XTerm FAQ over https rather than http.
  * Update copy of XTerm FAQ to revision 1.366 (dated 2018/04/15).
  * Update debian/watch to version 4, and look for tarballs on
    https://invisible-mirror.net.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 23 Apr 2018 18:47:06 +0200

xterm (331-1) unstable; urgency=medium

  * New upstream release.
    - Add workaround for improper grayscale adjustments made in FreeType
      library, exposed by changes to rounding in 2.8.1, which shows up as
      a gap in line-drawing characters (Closes: #880407).
    - Replace constant 10msec delay for next X event with new resource
      nextEventDelay, and reduce that to 1msec to accommodate faster machines
      than used when -hold was implemented in 1999 (Closes: #877628).
    - Add scroll-to action, which simplifies binding a key to scroll to
      the beginning or end of the saved-lines (Closes: #880120).
    - Improve workaround for #542434 by using the font's maximum width
      when no ISO-8859-1 glyphs are provided (Closes: #879936).
    - Additional manpage macro cleanup (Branden Robinson, Closes: #880551).
    - Fix typography in xterm.man (patch by Bjarni Ingi Gislason,
      Closes: #869248).
  * Refresh Debian patches.
  * Use https in the Homepage field.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 04 Jan 2018 18:06:06 +0100

xterm (330-2) unstable; urgency=medium

  * Add two simple autopkg smoke tests.
  * Drop autotools-dev from Build-Depends, it is redundant now.
  * Drop alternate build-dependency on lynx-cur.
  * Stop passing --parallel to dh, already default in compat level 10.
  * Switch from "dh_install --fail-missing" to "dh_missing --fail-missing".
  * Look for tarballs on ftp.invisible-island.net in debian/watch.
  * Set Rules-Requires-Root to no.
  * Bump Standards-Version to 4.1.2, no changes needed.
  * Update copy of XTerm FAQ to revision 1.353 (dated 2017/11/11).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 16 Dec 2017 10:13:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: xterm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/app/xterm.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/app/xterm.git
-Homepage: http://invisible-island.net/xterm/xterm.html
+Standards-Version: 4.2.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
+Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
+Homepage: https://invisible-island.net/xterm/xterm.html
 Build-Depends:
- libncurses5-dev | libncurses-dev,
+ libncurses-dev | libncurses5-dev,
  libxft-dev (>> 2.1.2), libxrender-dev (>> 1:0.9.0),
  libxaw7-dev,
  libxkbfile-dev,
@@ -17,8 +17,8 @@
  libxcursor-dev,
  libxinerama-dev,
  debhelper (>= 10),
- autotools-dev,
  autoconf-dickey (>= 2.52+20170501),
+ groff,
  lynx,
  xorg-docs-core,
  desktop-file-utils,
@@ -36,7 +36,7 @@
 # upstream build depenencies on library headers, and then Debian packaging
 # infrastructure dependencies.
 #
-#   libncurses5-dev | libncurses-dev
+#   libncurses-dev | libncurses5-dev
 #       Tekproc.c:#include <menu.h>
 #   I   aclocal.m4:#include <termcap.h>],[
 #   I   aclocal.m4:#include <curses.h>
@@ -107,8 +107,8 @@
 #   xorg-docs-core                  provides X(7) which minstall.sh tries to
 #                                   detect
 #   debhelper (>= 10)               debian/compat = 10
-#   autotools-dev                   update config.guess, config.sub
 #   autoconf-dickey                 regenerate configure
+#   groff                           regenerate ctlseqs.txt
 #   lynx                            generates plain-text version of xterm faq
 #   desktop-file-utils              for installing xterm.desktop

=== debian/tests/control ===
Test-Command: adequate xterm >&2
Depends: xterm, adequate

Test-Command: xvfb-run xterm -version
Depends: xterm, xvfb, xauth

## xterm 337

=== debian/changelog ===
xterm (337-1) unstable; urgency=medium

  * New upstream release.
    - Ensure that only one of PRIMARY and CLIPBOARD is owned by xterm
      at a given time (Closes: #901249).
  * Bump debhelper compatibility level to 11.
    - Bump autoconf-dickey build dependency to (>= 2.52+20180819)
      (see #887390).
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 23 Sep 2018 08:59:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
 Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
@@ -16,8 +16,8 @@
  libutempter-dev,
  libxcursor-dev,
  libxinerama-dev,
- debhelper (>= 10),
- autoconf-dickey (>= 2.52+20170501),
+ debhelper (>= 11),
+ autoconf-dickey (>= 2.52+20180819),
  groff,
  lynx,
  xorg-docs-core,
@@ -106,7 +106,7 @@
 #       util.c:#ifdef HAVE_X11_EXTENSIONS_XINERAMA_H
 #   xorg-docs-core                  provides X(7) which minstall.sh tries to
 #                                   detect
-#   debhelper (>= 10)               debian/compat = 10
+#   debhelper (>= 11)               debian/compat = 11
 #   autoconf-dickey                 regenerate configure
 #   groff                           regenerate ctlseqs.txt
 #   lynx                            generates plain-text version of xterm faq

## xterm 338

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	335
+PORTVERSION=	338
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/ \
 		CRITICAL

=== debian/changelog ===
xterm (338-1) unstable; urgency=medium

  * New upstream release.
    - Amend solution for #758633 to ensure that replies for bracketed
      paste are not sent while processing a selection for exec-formatted
     (Closes: #913237).
    - Change compiled-in default for saveLines to match the resource-file
      changed in xterm 192 (Closes: #913815).
    - Revert the change which prevented concurrent ownership of different
      selection targets, and instead modify selection storage so that
      different concurrent requests for different selection targets will
      be stored/retrieved independently (Closes: #901249).
  * Mark the autopkgtests as superficial.
  * Update copy of XTerm FAQ to revision 1.375 (dated 2018/10/16).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 12 Dec 2018 20:31:33 +0100

## xterm 340

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	338
+PORTVERSION=	340
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/ \
 		CRITICAL

=== debian/changelog ===
xterm (340-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 20 Dec 2018 18:19:12 +0100

## xterm 341

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	340
+PORTVERSION=	341
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/ \
 		CRITICAL

=== debian/changelog ===
xterm (341-1) unstable; urgency=medium

  * New upstream release.
    - Modify the initial pattern passed to fontconfig to disallow color
      bitmap fonts (Closes: #916349).
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 29 Dec 2018 09:26:42 +0100

## xterm 342

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	341
+PORTVERSION=	342
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/ \
 		CRITICAL

=== debian/changelog ===
xterm (342-1) unstable; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 06 Jan 2019 13:52:00 +0100

## xterm 343

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,28 +1,32 @@
 # $FreeBSD$
+
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
 # separate resource- and manpage files.
 # copy "xterm-${PORTVERSION}.tgz to the port's distfiles directory
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	342
+PORTVERSION=	343
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/ \
-		CRITICAL
+		https://invisible-mirror.net/archives/xterm/:src1
 PKGNAMESUFFIX=	-dev
-EXTRACT_SUFX=	.tgz
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:src1 \
 		bsd-xterm-icons-${ICONVERSION}${EXTRACT_SUFX}:src2
 
 MAINTAINER=	ehaupt@FreeBSD.org
 COMMENT=	Terminal emulator for the X Window System
 
-CONFLICTS=	x11iraf-[0-9]*
+LICENSE=	MIT
+
+USES=		cpe ncurses tar:tgz
 
 USE_XORG=	xft
 GNU_CONFIGURE=	yes
 
 CONFIGURE_ARGS+=	--with-utempter --enable-narrowproto
+
+CONFLICTS=	x11iraf-[0-9]*
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 LIBS+=		-L${LOCALBASE}/lib
@@ -73,14 +77,9 @@
 .include <bsd.port.options.mk>
 
 CONFIGURE_ARGS+=	--program-suffix=${PKGNAMESUFFIX} --with-app-class=${PKG_CLASS} --without-xterm-symlink
-MAN1=		resize${PKGNAMESUFFIX}.1 koi8rxterm${PKGNAMESUFFIX}.1 uxterm${PKGNAMESUFFIX}.1 xterm${PKGNAMESUFFIX}.1
 
 .if ! ${PORT_OPTIONS:MXAW3D} && ! ${PORT_OPTIONS:MXAW3DXFT} && ! ${PORT_OPTIONS:MNEXTAW}
 USE_XORG+=	xaw
-.endif
-
-.if ${OSVERSION} < 900004
-LIB_DEPENDS+=	libutempter.so:${PORTSDIR}/sysutils/libutempter
 .endif
 
 post-extract:
@@ -92,8 +91,8 @@
 .for f in koi8rxterm${PKGNAMESUFFIX} resize${PKGNAMESUFFIX} uxterm${PKGNAMESUFFIX} xterm${PKGNAMESUFFIX}
 	@${CHMOD} ${BINMODE} ${STAGEDIR}${PREFIX}/bin/${f}
 .endfor
-	@${INSTALL_DATA} ${WRKSRC}/xterm.desktop \
-		${STAGEDIR}${PREFIX}/share/applications/xterm${PKGNAMESUFFIX}.desktop 
+	${INSTALL_DATA} ${WRKSRC}/xterm.desktop \
+		${STAGEDIR}${PREFIX}/share/applications/xterm${PKGNAMESUFFIX}.desktop
 
 .if ${PORT_OPTIONS:MWCHAR}
 	@${CAT} ${PKGMESSAGE}

=== package/pkgsrc/Makefile ===
# $NetBSD: Makefile,v 1.117 2018/03/12 11:18:00 wiz Exp $

DISTNAME=	xterm-342
PKGREVISION=	1
CATEGORIES=	x11
MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/
EXTRACT_SUFX=	.tgz

MAINTAINER=	pkgsrc-users@NetBSD.org
HOMEPAGE=	http://invisible-island.net/xterm/xterm.html
COMMENT=	Latest terminal emulator for the X Window System
LICENSE=	x11

GNU_CONFIGURE=		yes
USE_TOOLS+=		tbl pkg-config

WRKSRC=			${WRKDIR}/${PKGNAME_NOREV}

CONFIGURE_ARGS+=	--enable-88-color
CONFIGURE_ARGS+=	--enable-256-color
CONFIGURE_ARGS+=	--enable-paste64
CONFIGURE_ARGS+=	--enable-readline-mouse

CONFIGURE_ARGS.standard=# empty
CONFIGURE_ARGS.3d=	--with-Xaw3d
CONFIGURE_ARGS.xpm=	--with-Xaw3d
CONFIGURE_ARGS.neXtaw=	--with-neXtaw
CONFIGURE_ARGS+=	${${CONFIGURE_ARGS.${XAW_TYPE}}:L}

INSTALLATION_DIRS=	share/applications

.include "../../mk/bsd.prefs.mk"

.if ${X11_TYPE} == "modular"
CONFIGURE_ARGS+=	--disable-imake
CONFIGURE_ARGS+=	--enable-narrowproto
.endif

.if exists(/usr/include/wchar.h)
CONFIGURE_ARGS+=	--enable-wide-chars
.endif

.include "../../x11/libX11/buildlink3.mk"
.include "../../x11/libXt/buildlink3.mk"
###
### For detection of XKB bell extension.
###
BUILDLINK_DEPMETHOD.libxkbfile?=	build
.include "../../x11/libxkbfile/buildlink3.mk"

post-install:
	${INSTALL_DATA} ${WRKSRC}/xterm.desktop \
		${DESTDIR}${PREFIX}/share/applications && \
	${INSTALL_DATA} ${WRKSRC}/uxterm.desktop \
		${DESTDIR}${PREFIX}/share/applications
	cd ${DESTDIR}${PREFIX}/${PKGMANDIR}/man1 && tbl xterm.1 \
		> xterm.1.tbl && mv xterm.1.tbl xterm.1

.include "options.mk"

.include "../../mk/curses.buildlink3.mk"
.include "../../mk/termcap.buildlink3.mk"
.include "../../sysutils/desktop-file-utils/desktopdb.mk"
.include "../../mk/xaw.buildlink3.mk"
.include "../../mk/bsd.pkg.mk"

=== debian/changelog ===
xterm (343-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 16 Jan 2019 18:05:47 +0100

## xterm 344

=== debian/changelog ===
xterm (344-1.lnd.1) unstable; urgency=medium

  * XTerm Sinicization (zh_CN.UTF-8).

 -- Song Ding <songding@loongson.cn>  Sat, 23 Jan 2021 17:32:11 +0800

xterm (344-1) unstable; urgency=medium

  * New upstream release.
    - A check of zIconBeep resource was removed in double-buffer fix in
      xterm 334.  That is used to decide whether to handle struct-notify
      events.  When xterm does handle the events, it may negotiate a new
      window-size with the window manager.  In that case, the limitResize
      resource setting limited the new window-size to the screen-size.
      Amended that by eliminating the limit for this special case when
      double-buffer is configured, and restoring the check for zIconBeep
      when double-buffer is not configured (Closes: #919475).
  * Refresh Debian patches.
  * Update copy of XTerm FAQ to revision 1.378 (dated 2019/01/27).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 14 Feb 2019 18:04:18 +0100
